Subject: [bug#71357] [PATCH] substitute: Don’t keep cache entries more than a few days.

From: Ludovic Courtès <[email-masked]>
Date: Thu, 13 Jun 2024 11:50:29 +0200

Hi,

Christopher Baines <[email-masked]> skribis:

> This sounds good to me.

Thanks, pushed as 7e00fb9f31f51ac2f9fa67b71a3eb8aaa23efdb6.  I’ll update
the ‘guix’ package soonish.

> I think one of the problems on bayfront is that each substitute process
> looks and decides it's time to remove the expired cache entries. For
> every new process that starts and decides to join it, it probably slows
> them all down. This is very similar to a "thundering herd" since the
> processes trip over each other trying to delete the same files.

Oh right.  I’m not sure if this is what I was seeing, but it can
definitely be a problem on build machines.  We should change (guix
cache) to avoid that.

Thanks!

Ludo’.